import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:test_sa/extensions/context_extension.dart';

class AAlertDialog extends StatelessWidget {
  final String? title;
  final String? content;

  const AAlertDialog({Key? key, this.title, this.content}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    //
    return CupertinoAlertDialog(
      title: title != null ? Text(title!) : null,
      content: content != null ? Text(content!) : null,
      actions: <Widget>[
        TextButton(
          // child: Text(_subtitle.confirm),
          child: Text(context.translation.confirm),
          onPressed: () {
            Navigator.of(context).pop(true);
          },
        ),
        TextButton(
          // child: Text(_subtitle.cancel),
          child: Text(context.translation.cancel),
          onPressed: () {
            Navigator.of(context).pop(false);
          },
        ),
      ],
    );
  }
}
